## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:           python-pcodedmp
Summary:        VBA p-code disassembler
Version:        1.2.6
Release:        27%{?dist}
License:        GPL-3.0-or-later
URL:            https://github.com/bontchev/pcodedmp
VCS:            https://github.com/bontchev/pcodedmp
BuildArch:      noarch

%global srcname pcodedmp

# Bootstrap may be needed to break circular dependencies between
# python-pcodedmp and python-oletools
%bcond_with     bootstrap

# No python-pypandoc packages in EPEL 8 and 10 (yet?)
%if 0%{?fedora} || 0%{?rhel} == 9
%bcond_without  pypandoc
%else
%bcond_with     pypandoc
%endif

Source0:        %{pypi_source}



%global _description %{expand:
Macros written in VBA (Visual Basic for Applications; the macro programming
language used in Microsoft Office) exist in three different executable forms,
each of which can be what is actually executed at run time, depending on the
circumstances: Source code, p-code and execodes.

Since most of the time it is the p-code that determines what exactly a macro
would do (even if neither source code, nor execodes are present), pcodedmp is
a Python library and command line tool to display it.}

%description %_description

%package -n pcodedmp
Summary:        %{summary}
Requires:       python3-pcodedmp = %{version}-%{release}

%description -n pcodedmp %_description

%package -n python3-pcodedmp
Summary:        %{summary}
BuildRequires:  python3-devel
%if 0%{?rhel} && 0%{?rhel} < 9
BuildRequires:  python3-setuptools
%endif
%if %{with pypandoc}
BuildRequires:  python3-pypandoc
%endif
%if %{without bootstrap}
BuildRequires:  python3-lxml
BuildRequires:  python3-oletools >= 0.54
Requires:       python3-oletools >= 0.54
%endif
%if 0%{?rhel} && 0%{?rhel} < 9
%{?python_provide:%python_provide python3-pcodedmp}
%endif

%description -n python3-pcodedmp %_description

%prep
%autosetup -n pcodedmp-%{version}

%if 0%{?fedora} || 0%{?rhel} >= 9
%generate_buildrequires
%pyproject_buildrequires
%endif

%build
%if 0%{?fedora} || 0%{?rhel} >= 9
%pyproject_wheel
%else
%py3_build
%endif

%install
%if 0%{?fedora} || 0%{?rhel} >= 9
%pyproject_install
%pyproject_save_files -l pcodedmp
%else
%py3_install
%endif

# The check requires oletools, which might not be available during bootstrapping
%if %{without bootstrap}
%check
# There are no pytest tests defined at this moment
# %%pytest
%if 0%{?fedora} || 0%{?rhel} >= 9
%pyproject_check_import
%else
# Do at least basic smoke test
%py3_check_import pcodedmp
%endif
%endif

%files -n pcodedmp
%{_bindir}/pcodedmp

%if 0%{?fedora} || 0%{?rhel} >= 9
%files -n python3-pcodedmp -f %{pyproject_files}
%else
%files -n python3-pcodedmp
%license LICENSE
%{python3_sitelib}/pcodedmp/
%{python3_sitelib}/pcodedmp-*.egg-info/
%endif
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jul 08 2025 Robert Scheck <robert@fedoraproject.org> - 1.2.6-35
- Stop using deprecated %%py3_build/%%py3_install macros (#2377980)

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.2.6-34
- Rebuilt for Python 3.14

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.2.6-33
- Bootstrap for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.2.6-20
- Bootstrap for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Python Maint <python-maint@redhat.com> - 1.2.6-16
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.2.6-15
- Bootstrap for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.6-12
- Rebuilt for pyparsing-3.0.9

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.2.6-11
- Rebuilt for Python 3.11

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.2.6-10
- Bootstrap for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.6-7
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.6-6
- Bootstrap for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 29 2020 Robert Scheck <robert@fedoraproject.org> 1.2.6-3
- Require python-setuptools during build-time explicitly

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.6-2
- Rebuilt for Python 3.9

* Mon May 04 2020 Robert Scheck <robert@fedoraproject.org> 1.2.6-1
- Upgrade to 1.2.6 (#1832610)
- Initial spec file for Fedora and Red Hat Enterprise Linux

## END: Generated by rpmautospec
